Subject: resolve old FIXME in PCRE implementation to allow more than 1 expression

From: Carlo Arenas <[email-masked]>
Date: Sat, 16 Oct 2021 00:00:12 -0700

With this patch, multiple expressions (from -e or -f) are now
acceptable with -P for easier side by side comparison with the other
supported engines.

Alternatively, multiple expressions could be compiled and run
sequentially for matching, but I suspect the added compilation time is
likely higher, and JIT might be able to run the alteration fast enough
for most cases.

Hopefully this tiny change is better than the status quo, though.

Carlo